IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[HDOSYADAKI_AMELIYATLARIN_ITEMID]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].HDOSYADAKI_AMELIYATLARIN_ITEMID
go

CREATE FUNCTION [dbo].[HDOSYADAKI_AMELIYATLARIN_ITEMID] (@HDosyaId as Integer)  
RETURNS nvarchar(1000) AS  
BEGIN 
declare @ALISTE as nvarchar(1000),
	@AMELIYAT as nvarchar(100)
SET @ALISTE = '' 
DECLARE HDOSYA_AMELIYAT_CURSOR CURSOR
   FOR SELECT HESAPISL.ITEMID FROM HESAPISL (NOLOCK) INNER JOIN TITEM (NOLOCK) ON HESAPISL.ITEMID=TITEM.ITEMID WHERE HDOSYAID = @HDosyaId AND IPTAL=0 AND ITEMTURUID=7 ORDER BY HESAPISL.ITEMID
OPEN HDOSYA_AMELIYAT_CURSOR
FETCH NEXT FROM HDOSYA_AMELIYAT_CURSOR INTO @AMELIYAT
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @ALISTE = @ALISTE + @AMELIYAT +', '
	FETCH NEXT FROM HDOSYA_AMELIYAT_CURSOR INTO @AMELIYAT
END
	IF CHARINDEX(',', ISNULL(@ALISTE,' ')) <> 0
		SET @ALISTE = LEFT(@ALISTE,LEN(@ALISTE)-1)
return @ALISTE
END
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[HDOSYADAKI_AMELIYATLARIN_ITEMADI]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].HDOSYADAKI_AMELIYATLARIN_ITEMADI
go

CREATE FUNCTION [dbo].HDOSYADAKI_AMELIYATLARIN_ITEMADI (@HDosyaId as Integer)  
RETURNS nvarchar(1000) AS  
BEGIN 
declare @ALISTE as nvarchar(1000),
	@AMELIYAT as nvarchar(100)
SET @ALISTE = '' 
DECLARE HDOSYA_AMELIYAT_CURSOR CURSOR
   FOR SELECT SUBSTRING(TITEM.ITEMADI,1,50)+CHAR(13) FROM HESAPISL (NOLOCK) INNER JOIN TITEM (NOLOCK) ON HESAPISL.ITEMID=TITEM.ITEMID WHERE HDOSYAID = @HDosyaId AND IPTAL=0 AND ITEMTURUID=7 ORDER BY HESAPISL.ITEMID
OPEN HDOSYA_AMELIYAT_CURSOR
FETCH NEXT FROM HDOSYA_AMELIYAT_CURSOR INTO @AMELIYAT
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @ALISTE = @ALISTE + @AMELIYAT +', '
	FETCH NEXT FROM HDOSYA_AMELIYAT_CURSOR INTO @AMELIYAT
END
	IF CHARINDEX(',', ISNULL(@ALISTE,' ')) <> 0
		SET @ALISTE = LEFT(@ALISTE,LEN(@ALISTE)-1)
return @ALISTE
END
GO